#version 410

uniform sampler2D previous;
uniform sampler2D c3;
uniform float last_beat;
uniform float beat;
uniform float volume;
uniform float aspect;

smooth in vec2 frag_position;
smooth in vec2 frag_texcoord;

void main() {
    vec4 color = texture(previous, frag_texcoord);
    gl_FragColor = vec4(color.rgb * color.a, 1.0);
}
